Tspi_Hash_SetHashValue(3)

TCG Software Stack Developer's Reference

NAME
Tspi_Hash_SetHashValue - Sets the hash value of a hash object for non-SHA1 hash objects.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Hash_SetHashValue(TSS_HHASH hHash, UINT32 ulHashValueLength, BYTE* rgbHashValue);

DESCRIPTION

Tspi_Hash_SetHashValue sets the hash value of a hash object. If the object was created with the flag TSS_HASH_OTHER, then the hash identifier has to be set by calling Tspi_SetAttribData to perform the sign operation.

PARAMETERS

  hHash
The handle to the hash object instance whose hash value should be signed.

  ulHashValueLength
Indicates the length of the hash value data provided at the parameter rgbHashValue.

  rgbHashValue
A pointer to the hash value data.

RETURN CODES

Tspi_Hash_SetHashValue returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hHash is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

TSS_E_HASH_INVALID_LENGTH
    Hash length is inconsistent with hash algorithm.

TSS_E_HASH_NO_DATA
    Hash object has no internal hash value.

CONFORMING TO

Tspi_Hash_SetHashValue conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Hash_UpdateHashValue(3), Tspi_Hash_Sign(3), Tspi_Hash_GetHashValue(3).